Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13841

Description

With the new labelling engine (I have not tested with the old):

If the label font size is set in points (instead of map units), then on a typical monitor the labels are displayed in the map canvas at

approximately the same size as they are printed on paper.  If I remember correctly (I'll check tomorrow), the same is true for vector

symbols if their size is set in mm instead of map units.

Changing the DPI setting in the operation system does not affect the size (at least in Windows - perhaps someone could test in another

operating system).  Presumably this means that QGIS (or maybe an underlying library such as QT) is using some "typical" value for

screen DPI.  This is likely to be 72dpi or 91dpi or something.

You might think it would be good for the size to change depending on the DPI setting in the operating system, so that if this was set

correctly then the labels and symbols would be exactly the same size on paper as on the screen.  BUT in reality this would be bad, for the

same reason that the current behaviour is bad: screen dpi is normally much lower than any printer output, so small labels and symbols

which are easily legible on paper are not legible on the screen.

I think ideally QGIS should have its own setting to control the screen rendering size of labels and symbols (if they are not defined in map

units).  I'm not sure what the best name for the setting would be - maybe something like "Screen scaling factor".  The units should be in

DPI, so that if someone does want things to be exactly the same height on paper as on the screen, they can simply set it to the actual DPI

of their monitor.

History

#1 - 2011-04-28 03:22 PM - Alister Hood

If I remember correctly (I'll check tomorrow), the same is true for vector symbols if their size is set in mm instead of map units.

Yes, the current behaviour is the same for vector symbols as for labels

#2 - 2012-05-23 08:48 PM - Alister Hood

- Pull Request or Patch supplied set to No

- Priority changed from Low to Normal

- Assignee deleted (nobody -)

I think I assigned Priority incorrectly.  This would be a major usability enhancement.

#3 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#4 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
